## GESMultiFileSource GESMultiFileSource — outputs the video stream from a sequence of images. |

## Functions

GESMultiFileSource * | ges_multi_file_source_new ()

## Properties

gchar * | uri | Read / Write / Construct Only

## Types and Values

| GESMultiFileSource

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESSource
                        ╰── GESVideoSource
                            ╰── GESMultiFileSource

## Implemented Interfaces

GESMultiFileSource implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

Outputs the video stream from a given image sequence. The start frame chosen will be determined by the in-point property on the track element.

## Functions

### ges_multi_file_source_new ()

    GESMultiFileSource *
    ges_multi_file_source_new (gchar *uri);

Creates a new GESMultiFileSource for the provided `uri` .

#### Parameters

uri | the URI the source should control |

#### Returns

A new GESMultiFileSource.

[transfer floating]

## Types and Values

### GESMultiFileSource

    typedef struct _GESMultiFileSource GESMultiFileSource;

## Property Details

### The `“uri”` property

      “uri”                      gchar *

The uri of the file/resource to use. You can set a start index, a stop index and a sequence pattern. The format is <multifile://start:stop@location-pattern>. The pattern uses printf string formating.

Example uris:

multifile:///home/you/image%03d.jpg

multifile://20:50@/home/you/sequence/%04d.png

Flags: Read / Write / Construct Only

Default value: NULL